/******************************************************************************\
* $Id: final_scenario_template.sas,v 1.1.2.2.6.8.6.1 2014/05/13 18:41:56 saswai Exp $
*
* Copyright(c) 2011 SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
* Name: final_scenario_template.sas
*
* Purpose: Create the final_scenario table template
*
* Author: sasden
*
* Support: SAS(r) Solutions OnDemand
*
* Input:  none
*
* Output:  FINAL_SCENARIO template
*			
* Parameters: (if applicable)
*
* Dependencies/Assumptions: At least 1 scenario exists
*
* Usage:
*
* ddmmmyyyy userid description (Change Code)
* History: 
* 19APR2012 sasden change rk to sk
* 26Oct2012 saswai renamed routing_grp_sk and suppression_grp_sk(group)
* 01Nov2012 saswai removed RETAINED_VARIABLE_NM and RULE_GROUP_CD
* 13May2014 saswai changed length from $1000 to $32767 for cat_by_vars, 
*                   cat_action_vars, cat_calc_vars, cat_parm_vars
\******************************************************************************/

proc sql ;
	create table FINAL_SCENARIO
	(
		project_sk				  NUMERIC(20),
		scenario_group_purpose_cd VARCHAR(20),
		scenario_group_sk         NUMERIC(20),
		prep_table_sk             NUMERIC(20), 
		group_type_cd             VARCHAR(20),
		scenario_run_order_no     NUMERIC(10),
		scenario_sk               NUMERIC(20), 
		scenario_weight_no        NUMERIC(10,2),
		scenario_type_cd          VARCHAR(20),
		rule_formula              VARCHAR(1000),
		cat_by_vars               VARCHAR(32767),
		cat_action_vars           VARCHAR(32767),
		cat_calc_vars             VARCHAR(32767),
		cat_calc_vars_type        VARCHAR(1000),
		cat_calc_vars_len         VARCHAR(1000),
		cat_parm_vars             VARCHAR(32767),
		data_process_type_cd      VARCHAR(20),
		scenario_purpose_cd       VARCHAR(20),
		sas_file_path_nm          VARCHAR(1000),
		entity_var_sk			  NUMERIC(20),	
		entity_sk                 NUMERIC(20),	
		routing_group_sk          NUMERIC(20),
		suppression_group_sk      NUMERIC(20),
		suppress_ms_no            NUMERIC(19),
		scenario_purpose_cd       VARCHAR(20),
		recipient_id              VARCHAR(60),
		recipient_type_cd         VARCHAR(20),
		segment_id				  VARCHAR(128),
		scenario_severity_score_no NUMERIC(10,2),
		scenario_status_cd		  VARCHAR(20),
		variable_nm				  VARCHAR(255)
	)
;
quit;
